textreplace -std -t bin\qgis.bat
textreplace -std -t bin\qgis-browser.bat

REM get short path without blanks
for %%i in ("%OSGEO4W_ROOT%") do set O4W_ROOT=%%~fsi

if not %OSGEO4W_MENU_LINKS%==0 mkdir "%OSGEO4W_STARTMENU%"
if not %OSGEO4W_MENU_LINKS%==0 nircmd shortcut "%O4W_ROOT%\bin\nircmd.exe" "%OSGEO4W_STARTMENU%" "QGIS Desktop 2.6.1" "exec hide %O4W_ROOT%\bin\qgis.bat" "%O4W_ROOT%\apps\qgis\icons\QGIS.ico"
if not %OSGEO4W_MENU_LINKS%==0 nircmd shortcut "%O4W_ROOT%\bin\nircmd.exe" "%OSGEO4W_STARTMENU%" "QGIS Browser 2.6.1" "exec hide %O4W_ROOT%\bin\qgis-browser.bat" "%O4W_ROOT%\apps\qgis\icons\QGIS.ico"

if not %OSGEO4W_DESKTOP_LINKS%==0 nircmd shortcut "%O4W_ROOT%\bin\nircmd.exe" "~$folder.desktop$" "QGIS Desktop 2.6.1" "exec hide %O4W_ROOT%\bin\qgis.bat" "%O4W_ROOT%\apps\qgis\icons\QGIS.ico"
if not %OSGEO4W_DESKTOP_LINKS%==0 nircmd shortcut "%O4W_ROOT%\bin\nircmd.exe" "~$folder.desktop$" "QGIS Browser 2.6.1" "exec hide %O4W_ROOT%\bin\qgis-browser.bat" "%O4W_ROOT%\apps\qgis\icons\QGIS.ico"

set OSGEO4W_ROOT=%OSGEO4W_ROOT:\=\\%
textreplace -std -t "%O4W_ROOT%\apps\qgis\bin\qgis.reg"
nircmd elevate "%WINDIR%\regedit" /s "%O4W_ROOT%\apps\qgis\bin\qgis.reg"
